function [STRES_EDA_BIN,STRES_EDA_FUZZY,RELAX_EDA_BIN,...
          RELAX_EDA_FUZZY,STRES_EDA_BIN_FYZ,...
          STRES_EDA_FUZZY_FYZ,STRES_EDA_BIN_PSY,STRES_EDA_FUZZY_PSY ]=...
          detekce_EDA_svm (EDA_C_means);

%% shluk V3 validne detekuje stres

STRES_EDA_BIN=[];
STRES_EDA_FUZZY=[];
RELAX_EDA_BIN=[];
RELAX_EDA_FUZZY=[];


for i=1:1:size(EDA_C_means,2);
if EDA_C_means(3,i)>=EDA_C_means(1,i)  || EDA_C_means(2,i)>=EDA_C_means(1,i)
   STRES_EDA_BIN(i)=1;
   STRES_EDA_FUZZY(i)=EDA_C_means(3,i)+EDA_C_means(2,i);
   
else STRES_EDA_BIN(i)=0;
    STRES_EDA_FUZZY(i)=0;
end

if EDA_C_means(3,i)>=EDA_C_means(1,i)  && EDA_C_means(3,i)>=EDA_C_means(2,i)
   STRES_EDA_BIN_FYZ(i)=1;
   STRES_EDA_FUZZY_FYZ(i)=EDA_C_means(3,i);
   
else STRES_EDA_BIN_FYZ(i)=0;
    STRES_EDA_FUZZY_FYZ(i)=0;
end

if EDA_C_means(2,i)>=EDA_C_means(1,i)  && EDA_C_means(2,i)>=EDA_C_means(3,i)
   STRES_EDA_BIN_PSY(i)=1;
   STRES_EDA_FUZZY_PSY(i)=EDA_C_means(2,i);
   
else STRES_EDA_BIN_PSY(i)=0;
    STRES_EDA_FUZZY_PSY(i)=0;
end

if EDA_C_means(1,i)>=EDA_C_means(2,i) && EDA_C_means(1,i)>=EDA_C_means(3,i);
   RELAX_EDA_BIN(i)=1;
   RELAX_EDA_FUZZY(i)=EDA_C_means(1,i);
   
else RELAX_EDA_BIN(i)=0; 
    RELAX_EDA_FUZZY(i)=0;
end

end


end